:host {
  @apply w-full mdCustom:w-48-percent;
}

.month-content {
  @apply flex flex-col justify-start items-start w-full;
}

.month-picker {
  position: relative;
  display: inline-block;
}

.month-picker .input-container {
  display: flex;
}

.input-container .calendar-icon {
  margin-left: 5px;
  cursor: pointer;
}

.month-picker .form-control {
  display: block;
  padding: .375rem .75rem;
  font-size: 1rem;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.month-picker .form-control[readonly] {
  background-color: #F3F4F5;
}

.month-picker .month-picker-container {
  min-width: 160px;
  @apply bg-bgZero block shadow-cvbuilder-drop-image mb-2;
}

.month-picker-container {
  @apply bg-white shadow-cvbuilder-drop-image;
}

.month-picker-container .month-picker-header {
  @apply flex flex-row justify-between items-center p-3 bg-primary w-full;
  min-width: 270px;
}

.month-picker-container button {
  vertical-align: top;
  padding: 0;
  height: 30px;
  line-height: 30px;
  border: 0;
  background: transparent;
  text-align: center;
  cursor: pointer;
  color: #fff;
  transition: 0.3s;
}

.month-picker-container button:hover {
  background-color: rgba(0, 0, 0, 0.1);
}

.month-picker-container button:focus {
  outline: none;
}

.month-picker-container button.previous {
  width: 30px;
  height: 30px;
}

.month-picker-container button.previous span {
  font-size: 28px;
  line-height: 1;
  display: inline-block;
  position: relative;
  height: 100%;
  width: 100%;
}

.month-picker-container button.next {
  width: 30px;
  height: 30px;
}

.month-picker-container button.next span {
  font-size: 28px;
  line-height: 1;
  display: inline-block;
  position: relative;
  height: 100%;
  width: 100%;
}

.month-picker-container button.current {
  /*border-radius: 15px;*/
  max-width: 155px;
  padding: 0 13px;
}

.month-picker-container button.current span {
  font-size: 18px;
}

.month-picker-container .month-picker-body {
  @apply p-3;
  /*border-radius: 0 0 3px 3px;*/
  /*min-height: 205px;*/
  min-width: 278px;
}

.month-picker-container .month-picker-body table {
  width: 100%;
  border-collapse: separate;
  border-spacing: 0;
}

.month-picker-container .month-picker-body table td {
  @apply h-4 text-black text-center border-none p-0 text-lg;
}

.month-picker-container .month-picker-body table td span {
  cursor: pointer;
  padding: 6px;
  display: block;
  margin: 0 auto;
  font-size: 13px;
  position: relative;
}

.month-picker-container .month-picker-body table td span:hover {
  @apply bg-primary-10 text-primary;
}

.month-picker-container .month-picker-body table td span.active {
  @apply bg-primary text-white;
}

input[type="checkbox"] {
  appearance: none;
  background-color: #fff;
  font: inherit;
  color: currentColor;
  width: 1.15em;
  height: 1.15em;
  border: 0.05em solid var(--dark);
  transform: translateY(-0.075em);
  display: grid;
  place-content: center;

  @apply mr-2;
}

input[type="checkbox"]::before {
  content: "";
  width: 0.75em;
  height: 0.65em;
  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--primary);
}

input[type="checkbox"]:checked::before {
  transform: scale(1);
}
